# __gnu_profile::__trace_hash_func Class Reference

Hash performance instrumentation producer. More...

Inheritance diagram for __gnu_profile::__trace_hash_func:
[legend]

List of all members.

## Public Member Functions

- void __add_object (__object_t object, __hashfunc_info__info)
- void __collect_warnings (__warning_vector_t &__warnings)
- void __destruct (const void *__obj, size_t __chain, size_t __accesses, size_t __hops)
- __hashfunc_info * __get_object_info (__object_t __object)
- void __insert (__object_t __obj, __stack_t __stack)
- void __retire_object (__object_t __object)
- void __write (FILE *f)

## Protected Attributes

- const char * __id

## Detailed Description

Hash performance instrumentation producer.

Definition at line 110 of file profiler_hash_func.h.

The documentation for this class was generated from the following file:

- profiler_hash_func.h